Bug 790685 - cyrus-imapd should be using portreserve
cyrus-imapd should be using portreserve
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cyrus-imapd (Show other bugs)
6.2
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
qe-baseos-daemons
:
Depends On:
Blocks: 103401
  Show dependency treegraph
 
Reported: 2012-02-15 03:01 EST by Karel Srot
Modified: 2012-07-16 23:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 11:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-02-15 03:01:38 EST
To avoid port conflicts with services such as CUPS or IMAP 
cyrus-imapd
should be using portreserve for reserving respective ports
within range 600 - 1023. According to /etc/services cyrus-imapd might be using port withing this range.


Typical changes required:

Given a SysV service package that uses a particular port, (say, krb5_prop/tcp -
754):

1) Create a file named after the service, for example 'krb5_prop', which
contains:

krb5_prop/tcp

2) In the spec, install this file in /etc/portreserve, i.e.,
/etc/portreserve/krb5_prop

3) In the spec, add 'Requires: portreserve' to the package that provides the
server.

4) In the init script, in the start() stanza, add:

    [ -x /sbin/portrelease ] && /sbin/portrelease krb5_prop &>/dev/null || :

before starting the daemon.


Some background can be found in bug 103401.

Note You need to log in before you can comment on or make changes to this bug.